marble (4:26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:41:11 +0100

marble (4:26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:37:58 +0100

marble (4:26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 12:03:41 +0100

marble (4:26.04.0-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 07 May 2026 06:42:41 +0100

marble (4:26.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (26.04.0).
  * Update build-deps and deps with the info from cmake.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Update the list of installed files.
  * Improve packages descriptions.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 29 Apr 2026 14:32:47 +0200

marble (4:25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 14:01:19 +0000

marble (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:31:42 +0000

marble (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:50:11 +0000

marble (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:17:31 +0000

marble (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:36:47 +0000

marble (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:16:43 +0000

marble (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:25 +0000

marble (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:20:02 +0000

marble (4:25.08.2-0ubuntu3) resolute; urgency=medium

  * debian/marble-apparmor: fix profile syntax (LP: #2109937)
    - Thanks to Theofilos Intzoglou (parapente).

 -- Robert Kratky <robert.kratky@canonical.com>  Tue, 21 Oct 2025 13:37:53 +0200

marble (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 15:07:06 +0100

marble (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:18 +0100

marble (4:25.08.1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Remove autopkgtests.
  * Bump Standards-Version to 4.7.4 (no changes needed).
  * Update d/watch to format version 5.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Apr 2026 10:48:41 +0200

marble (4:25.08.1-2) unstable; urgency=medium

  * Team upload.
  * Update plasma-marble.install according to the newer libplasma, which does
    not generate appstream metainfo files for plasma widgets by default anymore.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2025 07:11:03 +0200

marble (4:25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Since the Plasma 6 is libraries are currently Linux-only, tweak the marble
    source so it builds on non-Linux platforms:
    - limit the libplasma-dev, and qml6-module-org-kde-plasma-plasma5support
      build dependencies as linux-any
    - limit the plasma-marble package as linux-any
  * Replace the -DBUILD_MARBLE_TESTS=FALSE cmake option with -DBUILD_TESTING=OFF
    to properly disable the build of the tests.
  * Update the patches:
    - do_not_install_private_headers: refresh

 -- Pino Toscano <pino@debian.org>  Fri, 03 Oct 2025 21:02:41 +0200

marble (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:05 +0100

marble (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:25 +0100

marble (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:00:52 +0100

marble (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:25:59 +0100

marble (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:03 +0100

marble (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:01:13 +0100

marble (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:04 +0100

marble (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:02:43 +0200

marble (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:03:30 +0100

marble (4:24.12.3-3) unstable; urgency=medium

  * Team upload.
  * Update the dependencies of libmarble-dev:
    - explicitly add qt6-base-dev
    - add qt6-5compat-dev (Closes: #1102264)
    - drop not needed qt6-declarative-dev
  * Move /usr/share/applications/marble_geojson.desktop from marble-data to
    marble, together with the other desktop files for MIME handling
    - add proper breaks/replaces
    - remove the existing lintian override for it

 -- Pino Toscano <pino@debian.org>  Tue, 08 Apr 2025 08:34:23 +0200

marble (4:24.12.3-2) unstable; urgency=medium

  * Team upload.
  * Drop the spurious plasma-framework dependency from plasma-marble: the former
    is for Qt 5, while marble (including the Plasma bits) uses Qt 6.
  * Update symbols files from the logs of buildds.
  * Simplify the license texts for GPL & LGPL licenses in copyright.
  * CI: make the build non-verbose, so the build log fits within the salsa
    limits.
  * Remove trailing whitespaces in changelog and control.
  * Drop some build dependencies used only in examples (which are not built):
    libopencv-core-dev, libopencv-highgui-dev, libopencv-imgproc-dev, and
    libopencv-videoio-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Apr 2025 12:31:47 +0200

marble (4:24.12.3-1) unstable; urgency=medium

  * New upstream release 24.12.3
  * Bump S-V to 4.7.2, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Sun, 30 Mar 2025 15:00:55 +0200

marble (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:50:30 +0000

marble (4:24.12.2-3ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Feb 2025 07:33:47 +0000

marble (4:24.12.2-3) unstable; urgency=medium

  * Stop depending on dummy package for armhf; build with -Os on armhf
    (Closes: #1098902), thanks to Adrian Bunk

 -- Matthias Geiger <werdahias@debian.org>  Tue, 25 Feb 2025 23:31:00 +0100

marble (4:24.12.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 09:20:20 +0000

marble (4:24.12.2-2) unstable; urgency=medium

  * 'acc' autopkgtest: set -std=c++17, needed for Qt 6

 -- Matthias Geiger <werdahias@debian.org>  Sat, 22 Feb 2025 16:14:31 +0100

marble (4:24.12.2-1ubuntu1) plucky; urgency=high

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 19:56:25 +0000

marble (4:24.12.2-1) unstable; urgency=medium

  * New upstream release 24.12.2
  * d/control: Update my mail address
  * d/control: Depend on uninstallable armhf package to prevent armhf
    build

 -- Matthias Geiger <werdahias@debian.org>  Wed, 19 Feb 2025 15:13:34 +0100

marble (4:24.12.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fileds.
    - Add apparmor profile to fix userns.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Feb 2025 15:11:47 +0000

marble (4:22.12.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libqt5webkit5-dev from (Build-)Depends. (Closes: #1094740)

 -- Bastian Germann <bage@debian.org>  Mon, 10 Feb 2025 21:44:51 +0100

marble (4:24.12.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:24.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Jan 2025 18:53:12 +0100

marble (4:24.12.0-1) experimental; urgency=medium

  [ Matthias Geiger ]
  * New upstream release.
  * Updated libmarblewidget-qt5-28.install for new version.
  * Drop marble.knsrc from marble-data.install
  * Updated libmarblewidget-qt5-28.symbols for new symbols

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Switch library soname to libmarblewidget-qt6-28.
  * Update the list of installed files.
  * Split marble-behaim into its own binary package.
  * Add binary packages for qml6-module-org-kde-marble and
    qml6-module-org-kde-marble-imageprovider.
  * Update symbols from build for 24.12.0.
  * Bump Standards-Version to 4.7.0, no change required.
  * Review copyright information.
  * Switch away from transitional pkg-config build dependency.
  * Drop obsolete lintian overrides.
  * Switch to declarative KF6 and pkgkde_symbolshelper debhelper build
    sequences.
  * Switch to dh_qmldeps for runtime QML dependencies.
  * Drop obsolete Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 30 Dec 2024 19:11:01 +0100

marble (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Jul 2023 07:28:54 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libastro1`.
